#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers
from charmhelpers.core.services.base import ServiceManager

import actions


def manage():
    config = hookenv.config()
    manager = ServiceManager([
        {
            'service': 'spec-manager',
            'provided_data': [actions.WebsiteRelation(),
                              actions.PostgresqlRelation(),
                              actions.ConnCheckRelation()],
            'required_data': [config,
                              actions.PostgresqlRelation(required=True)],
            'data_ready': [
                actions.ensure_directories,
                actions.get_cloud_service_from_tarball,
                actions.install_python_packages,
                actions.get_config_file,
                actions.prepare_for_wsgi,
                helpers.render_template(
                    source='upstart.conf',
                    target='/etc/init/spec-manager.conf'),
                actions.write_db_config,
                actions.publish_conn_check_relation_data,
                actions.log_start,
                actions.nrpe_external_master_relation,
            ],
        },
    ])
    manager.manage()
